--------------------------------------------------------------------------
-- GTFO_Spells_MP.lua 
--------------------------------------------------------------------------
--[[
GTFO Spell List - Mists of Pandaria
Author: Zensunim of Malygos

Change Log:
	v4.13
		- Added Instructor Chillheart's Burn
		- Added Instructor Chillheart's Ice Wave
		- Added Instructor Chillheart's Ice Wrath
		- Added Instructor Chillheart's Arcane Bomb
		- Added Jandice Barov's Wondrous Rapidity
		- Added Lilian Voss's Dark Blaze
		- Added Rattlegore's Soulflame
		- Added Professor Slate's Toxic Potion
		- Added Brother Korloff's Scorched Earth
		- Added Brother Korloff's Firestorm Kick
		- Added Hoptallus's Furlwind
		- Added Hoptallus's Carrot Breath
		- Added Fizzy Brew Alemental's Carbonation
		- Added Yan-Zhu the Uncasked's Blackout Brew
		- Added Yan-Zhu the Uncasked's Carbonation
		- Added Yan-Zhu the Uncasked's Bloat
		- Added Minion of Doubt's Shadow of Doubt
		- Added Liu Flameheart's Jade Serpent Wave
		- Added Liu Flameheart's Jade Fire
		- Added Sodden Hozen Brawler's Fire Strike
		- Added Sodden Hozen Brawler's Water Strike
		- Added Wise Mari's Corrupted Waters
		- Added Wise Mari's Hydrolance Pulse
		- Added Loremaster Stonestep's Swirling Sunfire
		- Added Loremaster Stonestep's Swirling Sunfire
		- Added Sha of Doubt's Nothingness		
		- Added Scarlet Flamethrower's Flamethrower
		- Added Thalnos the Soulrender's Spirit Gale
		- Added High Inquisitor Whitemane's Flamestrike
		- Added Commander Lindon's Exploding Shot
		- Added Flameweaver Koegler's Burning Books
	v4.14
		- Rearranged spells, added placeholders
	v4.14.1
		- Added placeholders
		- Added Striker Ga'dok's Acid Bomb
		- Added Striker Ga'dok's Strafing Run
		- Added Commander Ri'mok's Viscous Fluid
		- Added Raigonn's Engulfing Winds
		- Added Ming the Cunning's Magnetic Field
		- Added Xin the Weaponmaster's Whirlwinding Axes
		- Added Imperial Vizier Zor'lok's Pheromones of Zeal
		- Added Imperial Vizier Zor'lok's Sonic Ring
		- Added Imperial Vizier Zor'lok's Force and Verve
		- Added Garalon's Pheromone Trail
		- Added Amber-Shaper Un'sok's Amber Scalpel
		- Added Amber-Shaper Un'sok's Burning Amber
	v4.14.2
		- Added Crackling Flames
	v4.14.3
		- Added Stone Guard's Amethyst Pool
		- Added Stone Guard's Defiled Ground (x2)
		- Added Sha of Anger's Bitter Thoughts
		- Added Gu Cloudstrike's Static Field
		- Added Gu Cloudstrike's Lightning Breath
		- Added Taran Zhu's Pool of Shadows
		- Added Master Snowdrift's Fists of Fury Strike
		- Added Vizier Jin'bak's Sap Residue
		- Added Commander Vo'jak's Caustic Tar (x2)
		- Added Wing Leader Ner'onok's Caustic Pitch
	v4.15
		- Fixed Sha of Doubt's Nothingness		
		- Removed Scarlet Flamethrower
		- Added Sudsy Brew Alemental's Suds
		- Added Koukou's Creeping Doubt
		- Added Gatrul'lon Flamecaller's Rain of Fire
		
]]--

-- ***************
-- * Scholomance *
-- ***************

GTFO.SpellID["120027"] = {
	--desc = "Burn (Instructor Chillheart)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["120037"] = {
	--desc = "Ice Wave (Instructor Chillheart)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["111616"] = {
	--desc = "Ice Wrath (Instructor Chillheart)";
	sound = 4;
	trivialPercent = 0;
	test = true; -- Needs verification/testing
};

GTFO.SpellID["113859"] = {
	--desc = "Arcane Bomb (Instructor Chillheart)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["114061"] = {
	--desc = "Wondrous Rapidity (Jandice Barov)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["111628"] = {
	--desc = "Dark Blaze (Lilian Voss)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["114009"] = {
	--desc = "Soulflame (Rattlegore)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["114873"] = {
	--desc = "Toxic Potion (Professor Slate)";
	sound = 1;
	trivialPercent = 0;
};

-- **********************
-- * Stormstout Brewery *
-- **********************

GTFO.SpellID["112993"] = {
	--desc = "Furlwind (Hoptallus)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["112945"] = {
	--desc = "Carrot Breath (Hoptallus)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["116170"] = {
	--desc = "Carbonation (Fizzy Brew Alemental)";
	sound = 1;
	alwaysAlert = true;
};

GTFO.SpellID["106851"] = {
	--desc = "Blackout Brew (Yan-Zhu the Uncasked)";
	sound = 1;
	applicationOnly = true;
	minimumStacks = 4;
	test = true; -- Verify
};

GTFO.SpellID["114386"] = {
	--desc = "Carbonation (Yan-Zhu the Uncasked)";
	sound = 1;
	alwaysAlert = true;
};

GTFO.SpellID["106546"] = {
	--desc = "Bloat (Yan-Zhu the Uncasked)";
	sound = 4;
	trivialPercent = 0;
	damageMinimum = 1; -- Ignore application
	test = true; -- This spell doesn't appear to be working correctly in Beta
};

GTFO.SpellID["107046"] = {
	--desc = "Water Strike (Sodden Hozen Brawler)";
	sound = 1;
	tankSound = 0;
	trivialPercent = 0;
};

GTFO.SpellID["107176"] = {
	--desc = "Fire Strike (Inflamed Hozen Brawler)";
	sound = 1;
	tankSound = 0;
	trivialPercent = 0;
};

GTFO.SpellID["116182"] = {
	--desc = "Suds (Sudsy Brew Alemental)";
	sound = 1;
	trivialPercent = 0;
};

-- ******************************
-- * Temple of the Jade Serpent *
-- ******************************

GTFO.SpellID["110099"] = {
	--desc = "Shadow of Doubt (Minion of Doubt)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["118540"] = {
	--desc = "Jade Serpent Wave (Liu Flameheart)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["107110"] = {
	--desc = "Jade Fire (Liu Flameheart)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["115167"] = {
	--desc = "Corrupted Waters (Wise Mari)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["106267"] = {
	--desc = "Hydrolance Pulse (Wise Mari)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["106319"] = {
	--desc = "Hydrolance Pulse (Wise Mari)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["111720"] = {
	--desc = "Swirling Sunfire (Loremaster Stonestep)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["106653"] = {
	--desc = "Sha Residue (Corrupt Living Water)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["106228"] = {
	--desc = "Nothingness (Sha of Doubt)";
	sound = 4;
	negatingDebuffSpellID = 106113; -- Touch of Nothingness
	trivialPercent = 0;
	negatingIgnoreTime = 2;
};

-- *********************
-- * Scarlet Cathedral *
-- *********************

GTFO.SpellID["114465"] = {
	--desc = "Scorched Earth (Brother Korloff)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["113766"] = {
	--desc = "Firestorm Kick (Brother Korloff)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["115291"] = {
	--desc = "Spirit Gale (Thalnos the Soulrender)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["110963"] = {
	--desc = "Flamestrike (High Inquisitor Whitemane)";
	sound = 1;
	trivialPercent = 0;
};

-- *****************
-- * Scarlet Halls *
-- *****************

GTFO.SpellID["114863"] = {
	--desc = "Exploding Shot (Commander Lindon)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["113620"] = {
	--desc = "Burning Books (Flameweaver Koegler)";
	sound = 1;
	trivialPercent = 0;
};

-- ***************************
-- * Gate of the Setting Sun *
-- ***************************

GTFO.SpellID["115458"] = {
	--desc = "Acid Bomb (Striker Ga'dok)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["116297"] = {
	--desc = "Strafing Run (Striker Ga'dok)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["107122"] = {
	--desc = "Viscous Fluid (Commander Ri'mok)";
	sound = 1;
};

GTFO.SpellID["107122"] = {
	--desc = "Engulfing Winds (Raigonn)";
	sound = 1;
	trivialPercent = 0;
	test = true; -- Verify correct spell IDs and avoidability
};

GTFO.SpellID["107275"] = {
	--desc = "Engulfing Winds (Raigonn)";
	sound = 1;
	trivialPercent = 0;
	test = true; -- Verify correct spell IDs and avoidability
};


-- ********************
-- * Mogu'shan Palace *
-- ********************

GTFO.SpellID["120101"] = {
	--desc = "Magnetic Field (Ming the Cunning)";
	sound = 1;
	trivialPercent = 0;
	test = true; -- Verify
};

GTFO.SpellID["119374"] = {
	--desc = "Whirlwinding Axes (Xin the Weaponmaster)";
	sound = 1;
	trivialPercent = 0;
	test = true; -- Verify, might be a fail alert depending on how strong the knockback is
};

-- TODO: Circle of Flame (Xin the Weaponmaster) (initial fire ring)
-- TODO: Blades? (Xin the Weaponmaster) (blades shooting from the walls? damage?)

-- ***********************
-- * Shado-Pan Monastery *
-- ***********************
-- TODO: Invoke Lightning (Gu Cloudstrike) (possibly FF?)

GTFO.SpellID["106932"] = {
	--desc = "Static Field (Gu Cloudstrike)";
	sound = 1;
	trivialPercent = 0;
	test = true; -- Verify, this is a fail in Challenge Mode, also need to see if initial damage is more
};

GTFO.SpellID["102572"] = {
	--desc = "Lightning Breath (Gu Cloudstrike)";
	sound = 1;
	tankSound = 0;
	trivialPercent = 0;
	test = true; -- Verify, the tank might have to avoid this for challenge mode, more research needed
};

GTFO.SpellID["106854"] = {
	--desc = "Fists of Fury Strike (Master Snowdrift)";
	sound = 1;
	trivialPercent = 0;
	test = true; -- Verify
};

-- TODO: Ring of Malice (Taran Zhu)

GTFO.SpellID["112918"] = {
	--desc = "Pool of Shadows (Taran Zhu)";
	sound = 1;
	tankSound = 0;
	trivialPercent = 0;
	test = true; -- Verify
};

-- **************************
-- * Siege of Nivzao Temple *
-- **************************

GTFO.SpellID["119941"] = {
	--desc = "Sap Residue (Vizier Jin'bak)";
	sound = 1; -- Modify to do low-damage alert when below minimum stacks?
	applicationOnly = true;
	minimumStacks = 9; -- This amount may need to be adjusted based on gear, challenge modes
	test = true; -- Verify
};

GTFO.SpellID["120269"] = {
	--desc = "Caustic Tar (Commander Vo'jak)";
	sound = 1;
	trivialPercent = 0;
	test = true; -- Verify
};

GTFO.SpellID["128359"] = {
	--desc = "Caustic Tar (Commander Vo'jak)";
	sound = 1;
	trivialPercent = 0;
	test = true; -- Verify
};

-- TODO: Thousand Blades (Commander Vo'jak) (avoidable?, non-tank?)

GTFO.SpellID["121443"] = {
	--desc = "Caustic Pitch (Wing Leader Ner'onok)";
	sound = 1;
	trivialPercent = 0;
	test = true; -- Verify
};

-- TODO: Quick-Dry Resin (Wing Leader Ner'onok) (stacks? similar to cold from Nexus)

-- *****************
-- * Heart of Fear *
-- *****************

GTFO.SpellID["123812"] = {
	--desc = "Pheromones of Zeal (Imperial Vizier Zor'lok)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["122336"] = {
	--desc = "Sonic Ring (Imperial Vizier Zor'lok)";
	sound = 1;
	negatingDebuffSpellID = 122706; -- Noise Cancelling
	trivialPercent = 0;
};

GTFO.SpellID["122718"] = {
	--desc = "Force and Verve (Imperial Vizier Zor'lok)";
	sound = 1;
	trivialPercent = 0;
	negatingDebuffSpellID = 122706; -- Noise Cancelling
	test = true; -- Verify 
};

-- TODO: Blade Tempest (Blade Lord Ta'yak)

GTFO.SpellID["123120"] = {
	--desc = "Pheromone Trail (Garalon)";
	sound = 1;
	trivialPercent = 0;
	test = true; -- Verify
};

-- TODO: Corrosive Resin (Wind Lord Mel'jarak) (high/low depending on # of stacks, similar to green in SFK)
-- TODO: Corrosive Resin Pool (Wind Lord Mel'jarak)
-- TODO: Amber Scalpel (Amber-Shaper Un'sok)

GTFO.SpellID["121995"] = {
	--desc = "Amber Scalpel (Amber-Shaper Un'sok)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["122504"] = {
	--desc = "Burning Amber (Amber-Shaper Un'sok)";
	sound = 1;
	trivialPercent = 0;
};

-- TODO: Stick Resin (Grand Empress Shek'zeer)
-- TODO: Visions of Demise (Grand Empress Shek'zeer) (friendly fire)

-- ********************
-- * Mogu'shan Vaults *
-- ********************

GTFO.SpellID["130774"] = {
	--desc = "Amethyst Pool (Stone Guard)";
	sound = 1;
	test = true;	
};

-- TODO: Jasper Chains (Stone Guard) (Possibly FF, Double-check on mechanics)
-- TODO: Epicenter (Feng the Accursed) (Adjust for minimum damage/debuff)
-- TODO: Wildfire Spark (Feng the Accursed) (Check for FF on explosion)
-- TODO: Arcane Velocity (Feng the Accursed) (Adjust for minimum damage)
-- TODO: Arcane Resonance (Feng the Accursed) (Check for FF as well)
-- TODO: The Spirit World (Gara'jal the Spiritbinder) (Warn at 3 seconds to go)
-- TODO: Volley (The Spirit Kings) (Non-tank fail)
-- TODO: Undying Shadow (The Spirit Kings) (Only if it can be kited, otherwise don't alert on the fixated target)
-- TODO: Coalescing Shadows (The Spirit Kings) (Research needed on this mechanic)
-- TODO: Celestial Breath (Elegon) (May be non-tank only if not rooted during ability)
-- TODO: Overcharged (Elegon) (Too many stacks? Research needed)
-- TODO: Energy Conduit (Elegon) (Probably a fail alert)
-- TODO: Energy of Creation (Will of the Emperor) (FF too?)

-- *****************************
-- * Terrace of Endless Spring *
-- *****************************

GTFO.SpellID["117989"] = {
	--desc = "Defiled Ground - Damage (Protector Kaolan)";
	sound = 1;
	test = true;	
};

GTFO.SpellID["118091"] = {
	--desc = "Defiled Ground - Debuff (Protector Kaolan)";
	sound = 1;
	applicationOnly = true;
	test = true;	
};

-- TODO: Expel Corruption (Protector Kaolan) (FF damage based on distance, find out what the min distance is and amt dmg taken for it)
-- TODO: Lightning Prison (Elder Regail) (FF damage)
-- TODO: Scary Fog (Lei Shi)
-- TODO: Dread Spray (Sha of Fear) (could be a fail alert)

-- ****************
-- * World Bosses *
-- ****************

GTFO.SpellID["119610"] = {
	--desc = "Bitter Thoughts (Sha of Anger)";
	soundFunction = function() 
		-- Reduce the spam
		GTFO_AddEvent("BitterThoughts", .75);
		return 1;
	end;
	ignoreEvent = "BitterThoughts";
	test = true;	
};

-- ************
-- * Pandaria *
-- ************

GTFO.SpellID["131107"] = {
	--desc = "Creeping Doubt (Koukou)";
	sound = 2;
	trivialPercent = 0;
};

GTFO.SpellID["131492"] = {
	--desc = "Rain of Fire (Gatrul'lon Flamecaller)";
	sound = 2;
	trivialPercent = 0;
};


-- ******************
-- * Theramore's Fall
-- ******************

GTFO.SpellID["128880"] = {
	--desc = "Crackling Flames";
	sound = 1;
};

-- *******
-- Unknown
-- *******

GTFO.SpellID["123020"] = {
	--desc = "Burning Amber (Unknown)";
	sound = 1;
	trivialPercent = 0;
	test = true; -- Verify
};

